/* =Font= */
@font-face{
    font-family: 'Raleway';
    src: url('ressources/font/Raleway/Raleway-VariableFont_wght.ttf');
}
@font-face{
    font-family: 'Raleway-bold';
    src: url('ressources/font/Raleway/static/Raleway-Bold.ttf');
}

/*General*/
body{
    margin: 0;
    padding: 0;
    font-family: Raleway, Arial, sans-serif;
}
p{
    padding: 0;
    margin: 0;
    font-size: medium;
}
h2{
    padding: 0;
    margin: 0 0 10px 0;
    font-size: x-large;
}
h3{
    padding: 0;
    margin: 0 0 10px 0;
    font-family: Raleway, Arial, sans-serif;
    font-size: large;
}
.blue{
    color: #0065FC;
}
.grey{
    color: #f0f0f0;
}

/*HEADER*/
header{
    padding: 0;
    margin: 0;
}
/*navigation*/
#title_nav{
    margin: 0;
    padding: 0 0 15px 0;
    display: grid;
    grid-template: repeat(2,1fr) / repeat(2,1fr);
}
#logo{
    order: 1;
    padding-left: 15px;
    grid-area: 1 / 1 / 2 / 2;
    height: 50px;
}
#navigation{
    grid-area: 1 / 1 / 3 / 3;
    /*Second grid on the first one*/
    display: grid;
    grid-template: repeat(2,1fr) / repeat(2,1fr);
}
#registration{
    font-family: Raleway-bold, Arial, sans-serif;
    order: 2;
    justify-self: flex-end;
    margin: auto 15px;
    color: #0065FC;
    text-decoration: none;
    grid-area: 1 / 2 / 2 / 3;
    font-size: large;
}
.nav_btn{
    display: flex;
    justify-content: center;
    align-items: center;
    color: #000000;
    text-decoration: none;
    border-bottom: solid 3px #F2F2F2;
    font-size: large;
}
#accomodations_link{
    grid-area: 2 / 1 / 3 / 2;
}
#activities_link{
    grid-area: 2 / 2 / 3 / 3;
}
/*subhead*/
#subhead{
    padding: 15px;
    margin: 0;
}
/*searchbar*/
#search_bar{
    padding: 15px 5px 15px 15px; /*5px right -> border fix*/
    display: flex;
    flex-direction: row;
}
#map_icon{
    background-color: #F2F2F2;
    border: none;
    border-radius: 15px 0 0 15px;
    color: #000000;
    height: 52px;
    width: 52px;
    padding: 0;
    font-size: medium;
    display: flex;
    justify-content: center;
    align-items: center; 
    flex-shrink: 0;  
}
#search_btn{
    cursor: pointer;
    background-color: #0065FC;
    border: none;
    border-radius: 15px;
    color: white;
    height: 52px;
    width: 52px;
    padding: 0;
    font-size: medium;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-shrink: 0;

    /*border fix*/
    position: relative; 
    right: 10px;
}
#search_btn_md{
    display: none;
}
#anythingSearch{
    border: none;
    padding: 0 10px;
    font-family: Raleway-bold, Arial, sans-serif;
    font-size: medium;
    min-width: 75px;
    flex-grow: 1;
    border: solid 2px #F2F2F2;
    border-left: none;
    border-right: none;
}
/*Filters*/
#filters{
    margin: 0;
    padding: 15px;
    display: flex;
    flex-flow: row wrap;
}
.filter_btn{
    cursor: pointer;
    background-color: #ffffff;
    height: 50px;
    margin: 0 15px 15px 0;
    padding: 0;
    display: flex;
    flex-direction: row;
    align-items: center;
    border: solid #F2F2F2 2px;
    border-radius: 50px;
}
.filter_icon{
    position: relative;
    right: 2px;
    margin: 0;
    padding: 0;
    height: 50px;
    width: 50px;
    color: #0065FC;
    background-color: #deebff;
    border-radius: 50px;
    font-size: large;
    display: flex;
}
.filter_icon i{
    margin: auto;
}
.filter_tag{
    font-family: Raleway-bold, Arial, sans-serif;
    font-size: large;
    margin: auto 15px auto 5px;
}
#filter_title{
    margin: 0 15px 15px 0;
    padding: 0;
    width: 100%;
}
/*Info*/
#info{
    margin: 0;
    padding: 0 15px 15px 15px;
    display: flex;
    flex-flow: row nowrap;
}
#info_logo{
    border: solid #F2F2F2 1px;
    font-size: x-small;
    color: #0065FC;
    height: 25px;
    width: 25px;
    border-radius: 25px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-shrink: 0;
}
#info p{
    margin: auto 0;
    padding: 0 0 0 15px;
}
/*HEADER HOVER*/
#registration:hover{
    color: #00a0fc;
}
.nav_btn:hover{
    color: #0065FC;
    border-bottom: solid 3px #0065FC;
}
#search_btn:hover{
    background-color: #00a0fc;
}
.filter_btn:hover{
    box-shadow: 0 0 15px #c2c2c2;
}


/*SECTIONS*/
.section_title{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 15px 0;
}
/*Popular Section*/
.section_title i{
    font-size: large;
}
#popular_section{
    margin: 0;
    padding: 15px;
    background-color: #f0f0f0;
    display: flex;
    flex-direction: column;
}
#pop_line{
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    flex-grow: 1;
}
.thumbnail_pop{
    overflow: hidden;
    padding: 0;
    margin: 7.5px 0;
    min-height: 145px;
    max-height: 200px;
    background-color: #ffffff;
    border-radius: 15px;
    display: flex;
    flex-flow: row nowrap;
    color: #000000;
    text-decoration: none;
    box-shadow: 0 2px 10px #d1d1d1;
    flex-grow: 1;
}
.thumbnail_pop:hover{
    color: #0065FC;
    box-shadow: 0 0 15px #c2c2c2;
    text-decoration: none;
}
.picture_pop{
    flex-shrink: 0;
    margin: 5px;
    padding: 0;
    width: 40%;
    height: auto;
    border-radius: 10px 0 0 10px;
}
.thumbnail_pop_description{
    padding: 15px;
    display: flex;
    flex-flow: column wrap;
    justify-content: space-between;
}
/*itérations des photos des différents thumbnails*/
#pop_hotel_1 .picture_pop{
    background: no-repeat center url("ressources/images/hebergements/4_small/emile-guillemot-Bj_rcSC5XfE-unsplash.jpg");
    background-size: cover;
}
#pop_hotel_2 .picture_pop{
    background: no-repeat center url("ressources/images/hebergements/4_small/aw-creative-VGs8z60yT2c-unsplash.jpg");
    background-size: cover;
}
#pop_hotel_3 .picture_pop{
    background: no-repeat center url("ressources/images/hebergements/4_small/febrian-zakaria-sjvU0THccQA-unsplash.jpg");
    background-size: cover;
}
/*Accomodation Section*/
#accomodation_section{
    margin: 0;
    padding: 15px;
    background-color: #ffffff;
    display: flex;
    flex-flow: column wrap;
}
.acc_line{
    padding: 0;
    margin: 0;
    display: flex;
    flex-flow: column wrap;
}
#accomodation_section h2{
    padding: 15px 0;
}
.picture_acc{
    margin: 0;
    padding: 0;
    width: auto;
    border-radius: 10px 10px 0 0;
    flex-grow: 1;
}
.thumbnail_acc{
    overflow: hidden;
    color: #000000;
    padding: 5px;
    margin: 7.5px 0;
    height: 225px;
    background-color: #ffffff;
    border-radius: 15px;
    box-shadow: 0 2px 10px #d1d1d1;
    display: flex;
    flex-flow: column nowrap;
    justify-content: flex-end;
    text-decoration: none;
}
.thumbnail_acc:hover{
    color: #0065FC;
    box-shadow: 0 0 15px #c2c2c2;
    text-decoration: none;
}
.thumbnail_acc_description{
    flex-direction: column;
    display: flex;
    margin: 0;
    padding: 5px 10px;
}
.thumbnail_acc_description h3{
    margin-bottom: 5px;
}
#accomodation_section h2{
    padding: 0;
}
.thumbnail_acc_description p{
    margin-bottom: 5px;
}
.show_more{
    color: #000000;
    font-size: medium;
    text-decoration: none;
    font-weight: bold;
    margin-top: 15px;
}
.show_more:hover{
    color: #0065FC;
    text-decoration: none;
}
/*itérations des photos des différents thumbnails*/
#acc_hotel_1 .picture_acc{
    background: no-repeat center url("ressources/images/hebergements/4_small/marcus-loke-WQJvWU_HZFo-unsplash.jpg");
    background-size: cover;
}
#acc_hotel_2 .picture_acc{
    background: no-repeat center url("ressources/images/hebergements/4_small/fred-kleber-gTbaxaVLvsg-unsplash.jpg");
    background-size: cover;
}
#acc_hotel_3 .picture_acc{
    background: no-repeat center url("ressources/images/hebergements/4_small/reisetopia-B8WIgxA_PFU-unsplash.jpg");
    background-size: cover;
}
#acc_hotel_4 .picture_acc{
    background: no-repeat center url("ressources/images/hebergements/4_small/annie-spratt-Eg1qcIitAuA-unsplash.jpg");
    background-size: cover;
}
#acc_hotel_5 .picture_acc{
    background: no-repeat center url("ressources/images/hebergements/4_small/nicate-lee-kT-ZyaiwBe0-unsplash.jpg");
    background-size: cover;
}
#acc_hotel_6 .picture_acc{
    background: no-repeat center url("ressources/images/hebergements/4_small/febrian-zakaria-M6S1WvfW68A-unsplash.jpg");
    background-size: cover;
}
/*Activities Section*/
#activities_section{
    margin: 0;
    padding: 15px;
    background-color: #ffffff;
    display: flex;
    flex-flow: column wrap;
}
.act_col{
    display: flex;
    flex-flow: column wrap;
}
.picture_act{
    margin: 0;
    padding: 0;
    width: auto;
    border-radius: 10px 10px 0 0;
    flex-grow: 1;
}
.thumbnail_act{
    color: #000000;
    padding: 0;
    margin: 15px 0;
    height: 225px;
    background-color: #ffffff;
    border-radius: 15px;
    box-shadow: 0 2px 10px #d1d1d1;
    text-decoration: none;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
}
.thumbnail_act:hover{
    color: #0065FC;
    text-decoration: none;
    box-shadow: 0 0 15px #c2c2c2;
}
.thumbnail_act_description{
    margin: 0;
    padding: 10px;
    display: flex;
    flex-flow: column wrap;
    justify-content: center;
    height: 40px;
}
.thumbnail_act_description h3{
    margin: 0;
}
/*itérations des photos des différents thumbnails*/
#activitie_1 .picture_act{
    background: no-repeat center url("ressources/images/activites/4_small/reno-laithienne-QUgJhdY5Fyk-unsplash.jpg");
    background-size: cover;
}
#activitie_2 .picture_act{
    background: no-repeat center url("ressources/images/activites/4_small/paul-hermann-QFTrLdQIRhI-unsplash.jpg");
    background-size: cover;
}
#activitie_3 .picture_act{
    background: no-repeat center url("ressources/images/activites/4_small/kevin-hikari-rV_Qd1l-VXg-unsplash.jpg");
    background-size: cover;
}
#activitie_4 .picture_act{
    background: no-repeat center url("ressources/images/activites/4_small/kilyan-sockalingum-NR8-cBCN3aI-unsplash.jpg");
    background-size: cover;
}
#activitie_5 .picture_act{
    background: no-repeat center url("ressources/images/activites/4_small/florian-wehde-xW9e8gdotxI-unsplash.jpg");
    background-size: cover;
}
#activitie_6 .picture_act{
    background: no-repeat center url("ressources/images/activites/4_small/lena-paulin-wH2-EJoDcV0-unsplash.jpg");
    background-size: cover;
}


/* =Footer style= */
footer{
    margin: 30px 0 0 0;
    padding: 15px;
    background-color: #F2F2F2;
    display: flex;
    flex-flow: column wrap;
}
.footer_list{
    padding: 0;
    margin: 15px 0;
}
footer ul{
    list-style: none;
    padding: 0;
}
footer li a{
    text-decoration: none;
    color: #000000;
}
footer li a:hover{
    color: #0065FC;
    text-decoration: none;
}

/* Media Queries medium screen >=768px */
@media screen and (min-width: 768px) and (max-width: 1199px){
    /*HEADER*/
    header{
        padding: 0 15px;
        margin: 0 0 15px 0;
    }
    /*logo + navigation*/
    #logo{
        height: 60px;
    }
    #title_nav{
        grid-template: 1fr / 200px 1fr;
        height: 75px;
    }
    #logo{
        margin: auto 0;
    }
    #navigation{
        grid-area: 1 / 2 / 2 /3;
        display: flex;
        flex-flow: row wrap;
        justify-content:  flex-end;
    }
    .nav_btn{
        margin: 0;
        padding: 0 30px;
        border-bottom: none;
        border-top: solid 3px #F2F2F2;
    }
    .nav_btn:hover{
        color: #0065FC;
        border-bottom: none;
        border-top: solid 3px #0065FC;
    }
    #registration{
        border-top: solid 3px #ffffff; /*offset fix*/
        margin-left: 30px;
    }
    /*Search bar*/
    #search_bar{
        width: 65%;
    }
    #search_btn{
        display: none;
    }
    #search_btn_md{
        display: inline-block;
        cursor: pointer;
        background-color: #0065FC;
        border: none;
        border-radius: 0 15px 15px 0;
        color: white;
        padding: 0 20px;
        font-size: medium;
        display: flex;
        justify-content: center;
        align-items: center;
    }
    #search_btn_md:hover{
        background-color: #00a0fc;
    }
    /*Filters*/
    #filter_title{
        width: auto;
        margin: auto 30px auto 0;
    }
    .filter_btn{
        margin: 15px 30px 15px 0;
    }

    /*SECTIONS*/
    #sections{
        padding: 0;
        display: flex;
        flex-flow: column wrap;
    }
    /*accomodation section*/
    #accomodation_section{
        padding: 15px 30px;
    }
    .acc_line{
        flex-direction: row;
        justify-content: space-between;
        margin: 15px 0;
    }
    .thumbnail_acc{
        flex-basis: 25%;
        flex-grow: 1;
        margin: 0 30px 0 0;
        height: 25vw;
    }
    #acc_hotel_3{
        margin-right: 0;
    }
    #acc_hotel_6{
        margin-right: 0;
    }
    /*popular section*/
    #popular_section{
        padding: 15px 30px 30px 15px;
        flex-grow: 1;
    }
    #pop_line{
        flex-direction: row;
        justify-content: space-between;
    }
    .thumbnail_pop{
        padding: 5px;
        height: 30vw;
        background-color: #ffffff;
        border-radius: 15px;
        box-shadow: 0 2px 10px #d1d1d1;
        display: flex;
        flex-flow: column nowrap;
        justify-content: flex-end;
        text-decoration: none;
        flex-basis: 25%;
        flex-grow: 1;
        margin: 0 30px 0 0;
        min-height: none;
        max-height: none;
    }
    .picture_pop{
        margin: 0;
        padding: 0;
        width: auto;
        border-radius: 10px 10px 0 0;
        flex-grow: 1;
    }
    #pop_hotel_3{
        margin-right: 0;
    }
    /*activities section*/
    #activities_section{
        order: 3;
        margin-top: 15px;
        padding: 15px 30px 30px 30px;
        background-color: #F2F2F2;
    }
    #activities_list{
        display: flex;
        flex-flow: row wrap;
        height: 45vw;
        border-radius: 15px;
    }
    .thumbnail_act{
        margin: 0;
        flex-grow: 1;
        border-radius: 0;
        height: auto;
    }
    .picture_act{
        border-radius: 0;
    }
    #pr_fix{
        padding-right: 0;
    }
    /*activities' Iterations*/
    .act_col{
        padding: 0 10px 0 0;
        flex-basis: 20%;
        flex-grow: 1;
        height: 100%;
        flex-wrap: wrap;
    }
    #activitie_1{
        border-radius: 15px 0 0 15px;
    }
    #activitie_2{
        flex-basis: 35%;
        margin-bottom: 5px;
    }
    #activitie_3{
        flex-basis: 15%;
        margin-top: 5px;
    }
    #activitie_5{
        flex-basis: 20%;
        margin-bottom: 5px;
        border-top-right-radius: 15px;
    }
    #activitie_6{
        flex-basis: 30%;
        margin-top: 5px;
        border-radius: 0 0 15px 0;
    }
    #pct_act_1{
        border-radius: 15px 0 0 0;
    }
    #pct_act_5{
        border-radius: 0 15px 0 0;
    }

    /*FOOTER*/
    footer{
        padding: 15px 30px;
        flex-direction: row;
        background-color: #ffffff;
    }
    .footer_list{
        flex-grow: 1;
    }
}

/* Media Queries large screen >=1200px */
@media screen and (min-width: 1200px){

    /*HEADER*/
    header{
        padding: 0 15px;
        margin: 0 0 15px 0;
    }
    /*logo + navigation*/
    #title_nav{
        grid-template: 1fr / 200px 1fr;
        height: 75px;
    }
    #logo{
        margin: auto 0;
        height: 65px;
    }
    #navigation{
        grid-area: 1 / 2 / 2 /3;
        display: flex;
        flex-flow: row wrap;
        justify-content:  flex-end;
    }
    .nav_btn{
        margin: 0;
        padding: 0 30px;
        border-bottom: none;
        border-top: solid 3px #F2F2F2;
    }
    .nav_btn:hover{
        color: #0065FC;
        border-bottom: none;
        border-top: solid 3px #0065FC;
    }
    #registration{
        border-top: solid 3px #ffffff; /*offset fix*/
        margin-left: 30px;
    }
    /*Search bar*/
    #search_bar{
        width: 35%;
    }
    #search_btn{
        display: none;
    }
    #search_btn_md{
        display: inline-block;
        cursor: pointer;
        background-color: #0065FC;
        border: none;
        border-radius: 0 15px 15px 0;
        color: white;
        padding: 0 20px;
        font-size: medium;
        display: flex;
        justify-content: center;
        align-items: center;
    }
    #search_btn_md:hover{
        background-color: #00a0fc;
    }
    /*Filters*/
    #filter_title{
        width: auto;
        margin: auto 15px auto 0;
    }
    .filter_btn{
        margin: 0 15px;
    }

    /*SECTIONS*/
    #sections{
        padding: 0 15px;
        display: flex;
        flex-flow: row wrap;
    }
    /*accomodation section*/
    #accomodation_section{
        order: 1;
        margin: 0 15px;
        padding: 30px;
        background-color: #f0f0f0;
        border-radius: 15px;
        flex-basis: 45%;
        flex-grow: 1;
        min-height: 600px;
        height: 40vw;
        max-height: 850px;
    }
    .acc_line{
        flex-direction: row;
        justify-content: space-between;
        margin: 15px 0;
        flex-grow: 1;
    }
    .thumbnail_acc{
        flex-basis: 25%;
        flex-grow: 1;
        height: auto;
        margin: 0 30px 0 0;
    }
    #acc_hotel_3{
        margin-right: 0;
    }
    #acc_hotel_6{
        margin-right: 0;
    }
    /*popular section*/
    #popular_section{
        order: 2;
        flex-basis: 10%;
        flex-grow: 1;
        margin: 0 15px;
        border-radius: 15px;
        padding: 30px;
        min-height: 600px;
        height: 40vw;
        max-height: 850px;
    }
    .thumbnail_pop{
        margin: 15px 0;
        height: auto;
    }
    .thumbnail_pop_description{
        flex-basis: 45%;
        flex-grow: 1;
    }
    .picture_pop{
        flex-basis: 30%;
        flex-grow: 2;
    }
    /*activities section*/
    #activities_section{
        order: 3;
        width: 100%;
        margin-top: 15px;
    }
    #activities_list{
        display: flex;
        flex-flow: row wrap;
        height: 35vw;
        max-height: 850px;
    }
    .thumbnail_act{
        margin: 0;
        flex-grow: 1;
        height: auto;
    }
    #pr_fix{
        padding-right: 0;
    }
    /*activities' Iterations*/
    .act_col{
        padding-right: 30px;
        flex-basis: 20%;
        flex-grow: 1;
        height: 100%;
        flex-wrap: wrap;
    }
    #activitie_2{
        flex-basis: 35%;
        margin-bottom: 15px;
    }
    #activitie_3{
        flex-basis: 15%;
        margin-top: 15px;
    }
    #activitie_5{
        flex-basis: 20%;
        margin-bottom: 15px;
    }
    #activitie_6{
        flex-basis: 30%;
        margin-top: 15px;
    }

    /*FOOTER*/
    footer{
        padding: 15px 30px;
        flex-direction: row;
    }
    .footer_list{
        flex-grow: 1;
    }
    footer li{
        margin: 7px 0;
    }
}

/*Fix screen >= 2000px*/
@media screen and (min-width: 2000px){
    body{
        width: 2000px;
        margin: 0 auto;
    }
}